commit:     fca4377a180167f5045127e0bacc6a222988bae6
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Oct  3 10:40:04 2015 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Oct  3 10:40:04 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fca4377a

net-wireless/bluez: Version bump (#562040 by mrueg)

Package-Manager: portage-2.2.22

 net-wireless/bluez/Manifest          |   1 +
 net-wireless/bluez/bluez-5.35.ebuild | 205 +++++++++++++++++++++++++++++++++++
 2 files changed, 206 insertions(+)

diff --git a/net-wireless/bluez/Manifest b/net-wireless/bluez/Manifest
index e8d35ba..997df5a 100644
--- a/net-wireless/bluez/Manifest
+++ b/net-wireless/bluez/Manifest
@@ -3,3 +3,4 @@ DIST bluez-4.101.tar.xz 887236 SHA256 
41f9578bef39b8c94a2d6ddeaa556afd22d136936d
 DIST bluez-5.25.tar.xz 1479312 SHA256 
5ca62f3f45e2638a0f7a81658d6c8813ee01487436ae8e53e9fe395e23d1fd30 SHA512 
2e13c552e771a9066c3170dfca43cca8a16b3afa3580b90ff065301e3a85d35ac47b145f5aa4db42001c466675994e9115d5c1909b7abe76c381114b7f4d872a
 WHIRLPOOL 
28dfe9e7a6eb9a1cb81001f7183a26b3a3cf8d6383b4c6d17e0b851eeb87497e23c8262a07564cb1cc0fcec128627503ff266d17c86c7ebd8906b9c714dc5df1
 DIST bluez-5.33.tar.xz 1636808 SHA256 
1801807a13506678cbfeb15c6a4b89ecb5739efe1067eb464da6641d731436d3 SHA512 
6b91b7d232c2654985b4777162e14a750b2840ec8bea7f913fc22bb63c5b767f6e8a7c39645cc7d583f17c993bd772f836bf0ab491eb5c75950c08dd9291a3da
 WHIRLPOOL 
cf176fabc4689c6e0233005a95731977e177eefb84c1652cbb0ca70a6a484366c7f4c95f3086652a8e3f6ccc023f741cbf930844265cf7090685863dc38fc105
 DIST bluez-5.34.tar.xz 1640772 SHA256 
e461ec2927f5491a202de4a180b2b42377f596b0ce372430d8204ae042d3b19c SHA512 
9735c95dd2a7d4c51168aed622604efeaf820bc4c99615c4ab2a4b153cb650e0d82e24d09c96d7e1f15e3bc6aa61e83b49c90e8cff200d9b4d0b144a4e6138b8
 WHIRLPOOL 
2f4364a2a3feb7e9e23761ff1e3ac153772ab39403702b4f850e473153ec12f981fae7235ab14120d46d48007af751dd66d344b52e7d9dad1aef7b309c40605c
+DIST bluez-5.35.tar.xz 1643068 SHA256 
1afee054644a8b1753ac98d7ad5cd95681a38f5c4cbb1b4bb3ceaa078bf8f0e2 SHA512 
33850a01e135f14015295f0eb9b578c515d180d24441b89dff545ec7c0ce8dad5fa321e20918ed6285edaa386375b4ed5688cb17bbfaf4db0742f6d6a72eec6d
 WHIRLPOOL 
e334e0e9b37f823eb348cf1679e010567893a73941533a5dc12b598f3b3c845d82f15b3b79e106a7fc4c4344a204a2205fa96509e61d7e61b6ec9f413d650356

diff --git a/net-wireless/bluez/bluez-5.35.ebuild 
b/net-wireless/bluez/bluez-5.35.ebuild
new file mode 100644
index 0000000..49c03c1
--- /dev/null
+++ b/net-wireless/bluez/bluez-5.35.ebuild
@@ -0,0 +1,205 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+inherit autotools eutils multilib python-any-r1 readme.gentoo systemd udev 
user multilib-minimal
+
+DESCRIPTION="Bluetooth Tools and System Daemons for Linux"
+HOMEPAGE="http://www.bluez.org";
+SRC_URI="mirror://kernel/linux/bluetooth/${P}.tar.xz"
+
+LICENSE="GPL-2+ LGPL-2.1+"
+SLOT="0/3"
+KEYWORDS="~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~x86"
+IUSE="cups debug +obex +readline selinux systemd test +udev"
+
+CDEPEND="
+       >=dev-libs/glib-2.28:2
+       >=sys-apps/dbus-1.6:=
+       >=sys-apps/hwids-20121202.2
+       cups? ( net-print/cups:= )
+       obex? ( dev-libs/libical:= )
+       readline? ( sys-libs/readline:= )
+       systemd? ( sys-apps/systemd )
+       udev? ( >=virtual/udev-172 )
+       abi_x86_32? (
+               !<app-emulation/emul-linux-x86-soundlibs-20140406-r1
+               !app-emulation/emul-linux-x86-soundlibs[-abi_x86_32]
+       )
+"
+DEPEND="${CDEPEND}
+       app-arch/xz-utils
+       virtual/pkgconfig
+       test? (
+               $(python_gen_any_dep '
+                       >=dev-python/dbus-python-1[${PYTHON_USEDEP}]
+                       || (
+                               dev-python/pygobject:3[${PYTHON_USEDEP}]
+                               dev-python/pygobject:2[${PYTHON_USEDEP}]
+                       )
+               ')
+       )
+"
+RDEPEND="${CDEPEND}
+       selinux? ( sec-policy/selinux-bluetooth )
+"
+DOC_CONTENTS="
+       If you want to use rfcomm as a normal user, you need to add the user
+       to the uucp group.
+"
+
+pkg_setup() {
+       enewgroup plugdev
+       use test && python-any-r1_pkg_setup
+
+       if ! use udev; then
+               ewarn
+               ewarn "You are installing ${PN} with USE=-udev. This means 
various bluetooth"
+               ewarn "devices and adapters from Apple, Dell, Logitech etc. 
will not work,"
+               ewarn "and hid2hci will not be available."
+               ewarn
+       fi
+}
+
+src_prepare() {
+       # Use static group "plugdev" if there is no ConsoleKit (or systemd 
logind)
+       epatch "${FILESDIR}"/bluez-plugdev.patch
+
+       # Try both udevadm paths to cover udev/systemd vs. eudev locations 
(#539844)
+       # http://www.spinics.net/lists/linux-bluetooth/msg58739.html
+       epatch "${FILESDIR}"/bluez-udevadm-path.patch
+
+       # Fedora patches
+       # http://www.spinics.net/lists/linux-bluetooth/msg38490.html
+       epatch 
"${FILESDIR}"/0001-Allow-using-obexd-without-systemd-in-the-user-sessio.patch
+
+       # http://www.spinics.net/lists/linux-bluetooth/msg40136.html
+       epatch 
"${FILESDIR}"/0001-obex-Use-GLib-helper-function-to-manipulate-paths.patch
+
+       # http://www.spinics.net/lists/linux-bluetooth/msg41264.html
+       epatch "${FILESDIR}"/0002-autopair-Don-t-handle-the-iCade.patch
+
+       # ???
+       epatch "${FILESDIR}"/0004-agent-Assert-possible-infinite-loop.patch
+
+       if use cups; then
+               sed -i \
+                       -e "s:cupsdir = \$(libdir)/cups:cupsdir = $(cups-config 
--serverbin):" \
+                       Makefile.{in,tools} || die
+       fi
+
+       eautoreconf
+
+       multilib_copy_sources
+}
+
+multilib_src_configure() {
+       local myconf=(
+               # readline is automagic when client is enabled
+               # --enable-client always needs readline, bug #504038
+               ac_cv_header_readline_readline_h=$(multilib_native_usex 
readline)
+       )
+
+       if ! multilib_is_native_abi; then
+               myconf+=(
+                       # deps not used for the library
+                       {DBUS,GLIB}_{CFLAGS,LIBS}=' '
+               )
+       fi
+
+       econf \
+               --localstatedir=/var \
+               --disable-android \
+               --enable-datafiles \
+               --enable-experimental \
+               --enable-optimization \
+               $(use_enable debug) \
+               --enable-pie \
+               --enable-threads \
+               --enable-library \
+               $(multilib_native_use_enable test) \
+               --enable-tools \
+               --enable-manpages \
+               --enable-monitor \
+               $(multilib_native_use_enable cups) \
+               $(multilib_native_use_enable obex) \
+               $(multilib_native_use_enable readline client) \
+               $(multilib_native_use_enable systemd) \
+               $(systemd_with_unitdir) \
+               $(multilib_native_use_enable udev) \
+               $(multilib_native_use_enable udev sixaxis)
+}
+
+multilib_src_compile() {
+       if multilib_is_native_abi; then
+               default
+       else
+               emake -f Makefile -f - libs \
+                       <<<'libs: $(lib_LTLIBRARIES)'
+       fi
+}
+
+multilib_src_test() {
+       multilib_is_native_abi && default
+}
+
+multilib_src_install() {
+       if multilib_is_native_abi; then
+               emake DESTDIR="${D}" install
+
+               # Upstream doesn't install this, bug #524640
+               # http://permalink.gmane.org/gmane.linux.bluez.kernel/53115
+               # http://comments.gmane.org/gmane.linux.bluez.kernel/54564
+               # gatttool is only built with readline, bug #530776
+               use readline && dobin attrib/gatttool
+               dobin tools/hex2hcd
+
+               # Unittests are not that useful once installed
+               if use test ; then
+                       rm -r "${ED}"/usr/$(get_libdir)/bluez/test || die
+               fi
+       else
+               emake DESTDIR="${D}" \
+                       install-includeHEADERS \
+                       install-libLTLIBRARIES \
+                       install-pkgconfigDATA
+       fi
+}
+
+multilib_src_install_all() {
+       prune_libtool_files --modules
+
+       keepdir /var/lib/bluetooth
+
+       # Upstream don't want people to play with them
+       # But we keep installing them due to 'historical' reasons
+       insinto /etc/bluetooth
+       local d
+       for d in input network proximity; do
+               doins profiles/${d}/${d}.conf
+       done
+       doins src/main.conf
+
+       newinitd "${FILESDIR}"/bluetooth-init.d-r3 bluetooth
+       newinitd "${FILESDIR}"/rfcomm-init.d-r2 rfcomm
+
+       einstalldocs
+
+       readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       readme.gentoo_print_elog
+
+       use udev && udev_reload
+
+       has_version net-dialup/ppp || elog "To use dial up networking you must 
install net-dialup/ppp."
+
+       if ! has_version sys-auth/consolekit && ! has_version sys-apps/systemd; 
then
+               elog "Since you don't have sys-auth/consolekit neither 
sys-apps/systemd, you will"
+               elog "need to add the user to the plugdev group."
+       fi
+}

Reply via email to